com.google.gwt.user.cellview.client

## Interface AbstractCellTable.Style

- Enclosing class:
    AbstractCellTable<T>

      public static interface AbstractCellTable.Style

  Styles used by this widget.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `cell()` Applied to every cell.
    `java.lang.String` | `evenRow()` Applied to even rows.
    `java.lang.String` | `evenRowCell()` Applied to cells in even rows.
    `java.lang.String` | `firstColumn()` Applied to the first column.
    `java.lang.String` | `firstColumnFooter()` Applied to the first column footers.
    `java.lang.String` | `firstColumnHeader()` Applied to the first column headers.
    `java.lang.String` | `footer()` Applied to footers cells.
    `java.lang.String` | `header()` Applied to headers cells.
    `java.lang.String` | `hoveredRow()` Applied to the hovered row.
    `java.lang.String` | `hoveredRowCell()` Applied to the cells in the hovered row.
    `java.lang.String` | `keyboardSelectedCell()` Applied to the keyboard selected cell.
    `java.lang.String` | `keyboardSelectedRow()` Applied to the keyboard selected row.
    `java.lang.String` | `keyboardSelectedRowCell()` Applied to the cells in the keyboard selected row.
    `java.lang.String` | `lastColumn()` Applied to the last column.
    `java.lang.String` | `lastColumnFooter()` Applied to the last column footers.
    `java.lang.String` | `lastColumnHeader()` Applied to the last column headers.
    `java.lang.String` | `oddRow()` Applied to odd rows.
    `java.lang.String` | `oddRowCell()` Applied to cells in odd rows.
    `java.lang.String` | `selectedRow()` Applied to selected rows.
    `java.lang.String` | `selectedRowCell()` Applied to cells in selected rows.
    `java.lang.String` | `sortableHeader()` Applied to header cells that are sortable.
    `java.lang.String` | `sortedHeaderAscending()` Applied to header cells that are sorted in ascending order.
    `java.lang.String` | `sortedHeaderDescending()` Applied to header cells that are sorted in descending order.
    `java.lang.String` | `widget()` Applied to the table.

- - ### Method Detail

    - #### cell

          java.lang.String cell()

      Applied to every cell.

    - #### evenRow

          java.lang.String evenRow()

      Applied to even rows.

    - #### evenRowCell

          java.lang.String evenRowCell()

      Applied to cells in even rows.

    - #### firstColumn

          java.lang.String firstColumn()

      Applied to the first column.

    - #### firstColumnFooter

          java.lang.String firstColumnFooter()

      Applied to the first column footers.

    - #### firstColumnHeader

          java.lang.String firstColumnHeader()

      Applied to the first column headers.

    - #### footer

          java.lang.String footer()

      Applied to footers cells.

    - #### header

          java.lang.String header()

      Applied to headers cells.

    - #### hoveredRow

          java.lang.String hoveredRow()

      Applied to the hovered row.

    - #### hoveredRowCell

          java.lang.String hoveredRowCell()

      Applied to the cells in the hovered row.

    - #### keyboardSelectedCell

          java.lang.String keyboardSelectedCell()

      Applied to the keyboard selected cell.

    - #### keyboardSelectedRow

          java.lang.String keyboardSelectedRow()

      Applied to the keyboard selected row.

    - #### keyboardSelectedRowCell

          java.lang.String keyboardSelectedRowCell()

      Applied to the cells in the keyboard selected row.

    - #### lastColumn

          java.lang.String lastColumn()

      Applied to the last column.

    - #### lastColumnFooter

          java.lang.String lastColumnFooter()

      Applied to the last column footers.

    - #### lastColumnHeader

          java.lang.String lastColumnHeader()

      Applied to the last column headers.

    - #### oddRow

          java.lang.String oddRow()

      Applied to odd rows.

    - #### oddRowCell

          java.lang.String oddRowCell()

      Applied to cells in odd rows.

    - #### selectedRow

          java.lang.String selectedRow()

      Applied to selected rows.

    - #### selectedRowCell

          java.lang.String selectedRowCell()

      Applied to cells in selected rows.

    - #### sortableHeader

          java.lang.String sortableHeader()

      Applied to header cells that are sortable.

    - #### sortedHeaderAscending

          java.lang.String sortedHeaderAscending()

      Applied to header cells that are sorted in ascending order.

    - #### sortedHeaderDescending

          java.lang.String sortedHeaderDescending()

      Applied to header cells that are sorted in descending order.

    - #### widget

          java.lang.String widget()

      Applied to the table.